package com.huashe.park.core.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.huashe.park.core.mapper.MachineProcessMapper;
import com.huashe.park.core.service.IMachineProcessService;
import com.huashe.park.domain.entity.MachineProcess;

/**
 * 桩机施工过程数据Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
@Service
public class MachineProcessServiceImpl implements IMachineProcessService {
    @Autowired
    private MachineProcessMapper machineProcessMapper;

    /**
     * 查询桩机施工过程数据
     * 
     * @param id 桩机施工过程数据主键
     * @return 桩机施工过程数据
     */
    @Override
    public MachineProcess selectMachineProcessById(Long id) {
        return machineProcessMapper.selectMachineProcessById(id);
    }

    /**
     * 查询桩机施工过程数据列表
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 桩机施工过程数据
     */
    @Override
    public List<MachineProcess> selectMachineProcessList(MachineProcess machineProcess) {
        return machineProcessMapper.selectMachineProcessList(machineProcess);
    }

    /**
     * 新增桩机施工过程数据
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 结果
     */
    @Override
    public int insertMachineProcess(MachineProcess machineProcess) {
        return machineProcessMapper.insertMachineProcessOrUpdate(machineProcess);
    }

    /**
     * 修改桩机施工过程数据
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 结果
     */
    @Override
    public int updateMachineProcess(MachineProcess machineProcess) {
        return machineProcessMapper.updateMachineProcess(machineProcess);
    }

    /**
     * 批量删除桩机施工过程数据
     * 
     * @param ids 需要删除的桩机施工过程数据主键
     * @return 结果
     */
    @Override
    public int deleteMachineProcessByIds(Long[] ids) {
        return machineProcessMapper.deleteMachineProcessByIds(ids);
    }

    /**
     * 删除桩机施工过程数据信息
     * 
     * @param id 桩机施工过程数据主键
     * @return 结果
     */
    @Override
    public int deleteMachineProcessById(Long id) {
        return machineProcessMapper.deleteMachineProcessById(id);
    }
}
